Bug 799572 - [abrt] evolution-3.2.3-1.fc16: ecv_draw: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.2.3-1.fc16: ecv_draw: Process /usr/bin/evolution was kille...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:40d8ea7cd8c7f60aae3e0ea4599...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 01:17 EST by Nik Lam
Modified: 2012-03-05 03:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 03:16:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (19.05 KB, text/plain)
2012-03-03 01:18 EST, Nik Lam
no flags Details
File: build_ids (7.65 KB, text/plain)
2012-03-03 01:18 EST, Nik Lam
no flags Details
File: backtrace (38.12 KB, text/plain)
2012-03-03 01:18 EST, Nik Lam
no flags Details
File: maps (54.89 KB, text/plain)
2012-03-03 01:18 EST, Nik Lam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 671339 None None None Never

  None (edit)
Description Nik Lam 2012-03-03 01:17:55 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
crash_function: ecv_draw
executable:     /usr/bin/evolution
kernel:         3.2.7-1.fc16.i686.PAE
pid:            2449
pwd:            /home/nik
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Sat 03 Mar 2012 12:58:32 CST
uid:            28752
username:       nik

backtrace:      Text file, 39034 bytes
build_ids:      Text file, 7831 bytes
dso_list:       Text file, 19511 bytes
maps:           Text file, 56205 bytes

comment:
:Deleting email in an IMAP folder using group by threads. I had collapsed all threads and was opening them up one by one and selecting all messages in that thread an deleting.
:
:The folder is large with over a thousand unread messages in it.

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=plat
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8f79a8ad62d1a8fa5adabc3c00000020-1330740352.545203-642132206
:GNOME_KEYRING_CONTROL=/tmp/keyring-r7BBoo
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=nik
:USERNAME=nik
:MAIL=/var/spool/mail/nik
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nik/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nik
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1937
:LANG=en_AU.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/nik
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=nik
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AaK3mN0xqR,guid=6e044cbe1394fa9fd135cdb400000081
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/nik
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-nik-vQUYEx/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1942,unix/unix:/tmp/.ICE-unix/1942
:SSH_AUTH_SOCK=/tmp/keyring-r7BBoo/ssh
:GPG_AGENT_INFO=/tmp/keyring-r7BBoo/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2145-plat-evolution-2_TIME212391
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2449

var_log_messages:
:Mar  3 12:58:32 plat kernel: [10489.602020] evolution[2449]: segfault at 0 ip 41abcf02 sp bf90cb90 error 4 in libetable.so.0.0.0[41a99000+91000]
:Mar  3 12:58:35 plat abrt[6135]: Saved core dump of pid 2449 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-03-12:58:32-2449 (118177792 bytes)

xsession_errors:
:  rmdir /home/nik/.evolution/tasks
:(evolution:2313): camel-CRITICAL **: camel_session_add_service: assertion `uri_string != NULL' failed
:  rmdir /home/nik/.evolution/tasks
:(evolution:2449): camel-CRITICAL **: camel_session_add_service: assertion `uri_string != NULL' failed
:(evolution:2449): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:2449): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2449): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:2449): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2449): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:2449): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2449): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:2449): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2449): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:2449): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2449): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:2449): WARNING **: bbdb: failed to get addressbook: Invalid source
:  rmdir /home/nik/.evolution/tasks
:(evolution:6244): camel-CRITICAL **: camel_session_add_service: assertion `uri_string != NULL' failed
:(evolution:6244): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:6244): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:6244): libebook-WARNING **: e_book_client_new: Cannot get book from factory: Invalid source
:** (evolution:6244): WARNING **: bbdb: failed to get addressbook: Invalid source
Comment 1 Nik Lam 2012-03-03 01:18:07 EST
Created attachment 567234 [details]
File: dso_list
Comment 2 Nik Lam 2012-03-03 01:18:10 EST
Created attachment 567235 [details]
File: build_ids
Comment 3 Nik Lam 2012-03-03 01:18:16 EST
Created attachment 567236 [details]
File: backtrace
Comment 4 Nik Lam 2012-03-03 01:18:21 EST
Created attachment 567237 [details]
File: maps
Comment 5 Milan Crha 2012-03-05 03:16:52 EST
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=671339

Note You need to log in before you can comment on or make changes to this bug.